org.apache.poi.hslf.record

## Class TextHeaderAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.TextHeaderAtom

- All Implemented Interfaces:
    GenericRecord, ParentAwareRecord

      public final class TextHeaderAtom
      extends RecordAtom
      implements ParentAwareRecord

  A TextHeaderAtom (type 3999). Holds information on what kind of text is contained in the TextBytesAtom / TextCharsAtom that follows straight after

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `_type`
    `RecordContainer` | `parentRecord`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TextHeaderAtom()` Create a new TextHeader Atom, for an unknown type of text
    `protected` | `TextHeaderAtom(byte[] source, int start, int len)` For the TextHeader Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getIndex()`
    `RecordContainer` | `getParentRecord()`
    `long` | `getRecordType()` We are of type 3999
    `int` | `getTextType()`
    `TextShape.TextPlaceholder` | `getTextTypeEnum()`
    `void` | `setIndex(int index)`
    `void` | `setParentRecord(RecordContainer record)`
    `void` | `setTextType(int type)`
    `void` | `setTextTypeEnum(TextShape.TextPlaceholder placeholder)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _type

          public static final long _type

    - #### parentRecord

          public RecordContainer parentRecord

  - ### Constructor Detail

    - #### TextHeaderAtom

          protected TextHeaderAtom(byte[] source,
                                   int start,
                                   int len)

      For the TextHeader Atom

    - #### TextHeaderAtom

          public TextHeaderAtom()

      Create a new TextHeader Atom, for an unknown type of text

  - ### Method Detail

    - #### getTextType

          public int getTextType()

    - #### setTextType

          public void setTextType(int type)

    - #### getTextTypeEnum

          public TextShape.TextPlaceholder getTextTypeEnum()

    - #### setTextTypeEnum

          public void setTextTypeEnum(TextShape.TextPlaceholder placeholder)

    - #### getIndex

          public int getIndex()

      Returns:
        0-based index of the text run in the SLWT container

    - #### setIndex

          public void setIndex(int index)

      Parameters:
        `index` - 0-based index of the text run in the SLWT container

    - #### getParentRecord

          public RecordContainer getParentRecord()

      Specified by:
        `getParentRecord` in interface `ParentAwareRecord`

    - #### setParentRecord

          public void setParentRecord(RecordContainer record)

      Specified by:
        `setParentRecord` in interface `ParentAwareRecord`

    - #### getRecordType

          public long getRecordType()

      We are of type 3999
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.